Subject: [drinks] Framework: IANA registration policy, Extensibility text

From: Alexander Mayrhofer <[email-masked]>
Date: Thu, 4 Oct 2012 11:13:34 +0000

(per discussion on the design team call yesterday)

Hi,

During my review of the framework document i discovered two more issues that i didn't include in the report.

-          We are requesting IANA to create a registry for "Organization Identifiers" in section 11, however, we are not specifying a registration policy for that registry. This will definitely not pass the IANA review. A list of well known policies is contained in section 4.1 of RFC5226 - i suggest that we use either "RFC required" or "IETF review" - both are rather heavyweight allocation methods, but probably fit quite well to this registry, since we're not allocating namespace elements themselves, but rather namespace type identifiers. I think we can fix that by adding a single sentence, for example "OrgIdType namespace values are to be assigned via "RFC required" as defined in Section 4.1 of RFC5226".

(Note - concensus in the design team call yesterday was that "RFC required" is the preferred allocation policy - respective text will be included in the next revision)

-          We have "ext" elements in many of our objects, but the actual use of those extensibility anchors is underspecified. All the descriptions of the "ext" elements refer to "described in a previous section of this document", where the only sentence i found related to this feature is "To encourage interoperability, the framework supports extensibility aspects." I think the sentence itself is already not problematic, because underspecified extensibility actually could decrease interopability among implementations (extensibility, though, increases the interopability with proprietory systems). I'm not sure how to address that one, but looking at  the EPP RFCs' extensibility text might be a good idea.

(Note: During yesterdays design team call, i volunteered to take up the action item of creating some text around this issue - i think i might manage to do this over the next few days)

Alex